function getMemoryUsageInfo(callback) {
  if (!callback || typeof callback !== 'function') {
    console.log('getMemoryUsageInfo(callback) 参数类型错误，必须是函数类型。');
    return;
  }
  try {
    // 检查浏览器是否支持 performance 和 memory 接口
    if (window.performance && window.performance.memory) {
      // 获取内存使用情况
      var memoryInfo = window.performance.memory;
      // 转换成 MB 单位
      var total =
        (memoryInfo.totalJSHeapSize / (1024 * 1024)).toFixed(2) + ' MB';
      var used = (memoryInfo.usedJSHeapSize / (1024 * 1024)).toFixed(2) + ' MB';
      var limit =
        (memoryInfo.jsHeapSizeLimit / (1024 * 1024)).toFixed(2) + ' MB';
      // 输出内存使用情况
      //   console.log('内存使用情况：' + total + ' / ' + used + ' / ' + limit);
      return callback(
        true,
        memoryInfo.totalJSHeapSize,
        memoryInfo.usedJSHeapSize,
        memoryInfo.jsHeapSizeLimit,
      );
    } else {
      console.log('浏览器不支持获取内存使用情况。');
      return callback(false, 0, 0, 0);
    }
  } catch (error) {
    console.log('获取内存使用情况失败：', error);
    return callback(false, 0, 0, 0);
  }
}
